## org.biojava.bio.program.homologene
Interface OrthoPairCollection

All Known Implementing Classes:
  AbstractOrthoPairCollection, SimpleHomologeneDB, SimpleOrthoPairCollection

    public interface OrthoPairCollection

Interface for a Set of OrthoPairSets

Author:
  David Huen

Nested Class Summary
`static interface` `OrthoPairCollection.Iterator` Iterator for a OrthoPairCollection

Method Summary
`void` `add(OrthoPairSet group)`
`boolean` `contains(OrthoPairSet group)`
`OrthoPairCollection` `filter(OrthoPairSetFilter filters)`
`boolean` `isEmpty()`
`OrthoPairCollection.Iterator` `iterator()`

Method Detail

### add

    void add(OrthoPairSet group)
             throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### contains

    boolean contains(OrthoPairSet group)

### isEmpty

    boolean isEmpty()

### iterator

    OrthoPairCollection.Iterator iterator()

### filter

    OrthoPairCollection filter(OrthoPairSetFilter filters)